{ config, pkgs, ... }:

{
  home.file."${config.xdg.configHome}/lf" = {
    source = ./files;
    recursive = true;
  };
  programs.lf = {
    enable = true;
    settings = {
      icons = true;
      autoquit = true;
      mouse = true;
      number = true;
      relativenumber = true;
      cursorpreviewfmt = "";
    };
    keybindings = {
      "<backspace2>" = "quit";
      "<c-e>" = "half-up";
      "." = "set hidden!";
      "o" = "$nvim -c \"lua require(\\\"oil\\\").open(\\\"$PWD\\\")\"";
      "-" = "$nvim -c \"lua require(\\\"oil\\\").open(\\\"$PWD\\\")\"";
      "<enter>" = "open";
      "<c-t>" = ":jump <enter>";
    };
    commands = {
      jump = ''
        ''${{
            res=$(zsh -c "source $HOME/.zshrc && find_global d")
            lf -remote "send $id cd \"$res\""
        }}
      '';
    };
    cmdKeybindings = {
      q = "quit";
    };
  };
}
